<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ipsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ipsc_config_t</compoundname>
    <includes local="no">cy_ble_ips.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ipsc__config__t_1af11dca40ff3caced4e46f4b6e052928b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__ipsc__t">cy_stc_ble_ipsc_t</ref> *</type>
        <definition>cy_stc_ble_ipsc_t* cy_stc_ble_ipsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="184" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="184" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ipsc__config__t_1a50d1eaaf4d7771843b6a23c52f8888da" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_ipsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="187" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="187" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="933">
        <label>cy_stc_ble_ipsc_t</label>
        <link refid="structcy__stc__ble__ipsc__t" />
        <childnode refid="934" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="932">
        <label>cy_stc_ble_ipsc_config_t</label>
        <link refid="structcy__stc__ble__ipsc__config__t" />
        <childnode refid="933" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="934">
        <label>cy_stc_ble_ipsc_char_t</label>
        <link refid="structcy__stc__ble__ipsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="189" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="181" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="182" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ipsc__config__t_1af11dca40ff3caced4e46f4b6e052928b" virt="non-virtual"><scope>cy_stc_ble_ipsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__ipsc__config__t_1a50d1eaaf4d7771843b6a23c52f8888da" virt="non-virtual"><scope>cy_stc_ble_ipsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>